Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.maalbar.dk/v1/products \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --data ' { "name": "<string>", "sku": "<string>", "ean": 123 } '
const url = 'https://api.maalbar.dk/v1/products'; const options = { method: 'POST', headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>', sku: '<string>', ean: 123}) }; fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "publicId": "product_xxxxxxxxxxxx", "name": "<string>", "sku": "<string>", "ean": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }
{ "error": "Invalid request parameters" }
{ "error": "Authentication required" }
{ "error": "Resource not found" }
{ "error": "An unexpected error occurred" }
Create a product for the current customer
255
Successful response
16
"product_xxxxxxxxxxxx"